var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ElementRef, ViewContainerRef, ChangeDetectionStrategy, Renderer2, ContentChild, Optional } from '@angular/core';
import { ComponentBase, applyMixins, setValue } from '@syncfusion/ej2-ng-base';
import { TreeMap, TreeMapTooltip, TreeMapLegend, TreeMapHighlight, TreeMapSelection } from '@syncfusion/ej2-treemap';
import { LevelsDirective } from './levels.directive';
export var inputs = ['background', 'border', 'dataSource', 'description', 'enableDrillDown', 'enablePersistence', 'enableRtl', 'equalColorValuePath', 'format', 'height', 'highlightSettings', 'initialDrillDown', 'layoutType', 'leafItemSettings', 'legendSettings', 'levels', 'locale', 'margin', 'palette', 'query', 'rangeColorValuePath', 'selectionSettings', 'tabIndex', 'theme', 'titleSettings', 'tooltipSettings', 'useGroupingSeparator', 'weightValuePath', 'width'];
export var outputs = ['beforePrint', 'click', 'drillEnd', 'drillStart', 'itemClick', 'itemHighlight', 'itemMove', 'itemRendering', 'itemSelected', 'load', 'loaded', 'mouseMove', 'resize', 'tooltipRendering'];
export var twoWays = [''];
/**
 * TreeMap Component
 * ```html
 * <ej-treemap></ej-treemap>
 * ```
 */
var TreeMapComponent = /** @class */ (function (_super) {
    __extends(TreeMapComponent, _super);
    function TreeMapComponent(ngEle, srenderer, viewContainerRef, treeMapTooltip, treeMapLegend, treeMapHighlight, treeMapSelection) {
        var _this = _super.call(this) || this;
        _this.ngEle = ngEle;
        _this.srenderer = srenderer;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['levels'];
        _this.element = _this.ngEle.nativeElement;
        _this.injectedModules = _this.injectedModules || [];
        for (var i = 3; i < arguments.length; i++) {
            var injectedObj = arguments[i];
            if (injectedObj) {
                _this.injectedModules.push(injectedObj);
            }
        }
        _this.registerEvents(outputs);
        _this.addTwoWay.call(_this, twoWays);
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    TreeMapComponent.prototype.ngOnInit = function () {
    };
    TreeMapComponent.prototype.ngAfterViewInit = function () {
    };
    TreeMapComponent.prototype.ngOnDestroy = function () {
    };
    TreeMapComponent.prototype.ngAfterContentChecked = function () {
    };
    TreeMapComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ejs-treemap',
                    inputs: inputs,
                    outputs: outputs,
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    queries: {
                        childLevels: new ContentChild(LevelsDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    TreeMapComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer2, },
        { type: ViewContainerRef, },
        { type: TreeMapTooltip, decorators: [{ type: Optional },] },
        { type: TreeMapLegend, decorators: [{ type: Optional },] },
        { type: TreeMapHighlight, decorators: [{ type: Optional },] },
        { type: TreeMapSelection, decorators: [{ type: Optional },] },
    ]; };
    return TreeMapComponent;
}(TreeMap));
export { TreeMapComponent };
applyMixins(TreeMapComponent, [ComponentBase]);
export var TreeMapTooltipService = { provide: TreeMapTooltip, useValue: TreeMapTooltip };
export var TreeMapLegendService = { provide: TreeMapLegend, useValue: TreeMapLegend };
export var TreeMapHighlightService = { provide: TreeMapHighlight, useValue: TreeMapHighlight };
export var TreeMapSelectionService = { provide: TreeMapSelection, useValue: TreeMapSelection };
//# sourceMappingURL=treemap.component.js.map